from pillar_server.tests import TestPillarServer, AbstractPillarTest
from attract_server import AttractExtension

class TestAttractServer(TestPillarServer):
    def __init__(self, *args, **kwargs):
        super(TestAttractServer, self).__init__(*args, **kwargs)

        self.load_extension(AttractExtension(), '/attract')


class AbstractAttractTest(AbstractPillarTest):
    pillar_server_class = TestAttractServer
